Package org.eclipse.microprofile.rest.client.tck.ssl

# Class SslTrustStoreTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest
org.eclipse.microprofile.rest.client.tck.ssl.SslTrustStoreTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class SslTrustStoreTest extends AbstractSslTest

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

`anotherTruststore, CERT_LOCATION_FILE, clientKeystore, clientKeystoreFromClasspath, clientTruststore, clientTruststoreFromClasspath, clientWrongHostnameTruststore, clientWrongHostnameTruststoreFromClasspath, serverKeystore, serverTruststore, serverWrongHostnameKeystore`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`SslTrustStoreTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`shouldFailWithNonMatchingKeystore()`
`void`
`shouldFailWithNonMatchingKeystoreCDI()`
`void`
`shouldFailWithSelfSignedKeystore()`
`void`
`shouldFailWithSelfSignedKeystoreCDI()`
`void`
`shouldSucceedWithRegisteredSelfSignedKeystore()`
`void`
`shouldSucceedWithRegisteredSelfSignedKeystoreCDI()`
`void`
`shouldSucceedWithRegisteredSelfSignedKeystoreFromResourceCDI()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

`getKeyStore, initHttpsServer, stopHttpsServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SslTrustStoreTest

public SslTrustStoreTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### shouldFailWithSelfSignedKeystore

public void shouldFailWithSelfSignedKeystore()

### shouldSucceedWithRegisteredSelfSignedKeystore

public void shouldSucceedWithRegisteredSelfSignedKeystore() throws Exception

Throws:
  `Exception`

### shouldFailWithNonMatchingKeystore

public void shouldFailWithNonMatchingKeystore() throws Exception

Throws:
  `Exception`

### shouldFailWithSelfSignedKeystoreCDI

public void shouldFailWithSelfSignedKeystoreCDI()

### shouldSucceedWithRegisteredSelfSignedKeystoreCDI

public void shouldSucceedWithRegisteredSelfSignedKeystoreCDI()

### shouldSucceedWithRegisteredSelfSignedKeystoreFromResourceCDI

public void shouldSucceedWithRegisteredSelfSignedKeystoreFromResourceCDI()

### shouldFailWithNonMatchingKeystoreCDI

public void shouldFailWithNonMatchingKeystoreCDI()